/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// Base(XMS_B)の起動クラス
//			変更履歴
//				2004.01.08	新規作成	二條智文
//
package jp.co.ntt.lms.xmo.Base;

import java.rmi.RMISecurityManager;
import java.rmi.registry.Registry;
import java.rmi.registry.LocateRegistry;
import jp.co.ntt.lms.xmo.*;
import jp.co.ntt.lms.xmo.util.DebugLog;
import jp.co.ntt.lms.xms.framework.Constant;
import jp.co.ntt.lms.xms.framework.base.RemoteLogicServer;

/**
 * Base(XMS_B)の起動クラスです。
 */
public class XMSBaseStart {

	private static final Class THIS_CLASS = new XMSBaseStart().getClass();

	public static void main(String args[]) {

System.out.println( "\nopenlms Load ........\n" );


// ログ集計用のインスタンスをバインディングするロジック追加に伴う変数追加
		Registry registry = null;
		RemoteLogicServer  logicServer = null;
		String strXmoServerName = null;
		
		try {

			// レジストリ作成
			Environment objEnv = new Environment();
// 作成したRegstryインスタンスを、後に利用するために変数に保存
//			LocateRegistry.createRegistry(new Integer( objEnv.getXmoRegistryPort() ).intValue());
			registry = LocateRegistry.createRegistry(new Integer( objEnv.getXmoRegistryPort() ).intValue());

			// XMSBaseのインスタンス化
			XMSBase objBase = new XMSBase();

			// データベース初期化
			objBase.initDB();

			// 登録されているXMOの起動
			objBase.startXMOs();
			
// ログ集計用のインスタンスをバインディング
			strXmoServerName = objEnv.getServerName();
			logicServer = new RemoteLogicServer();
			registry.rebind("//" + strXmoServerName
					+ Constant.RMI_LOGIC_SERVER_NAME, logicServer);
			 

		} catch (Exception e) {
			DebugLog.write( THIS_CLASS, e.toString(), DebugLog.HIGHT );
			e.printStackTrace();
System.out.println("\nLoad fail!!\n");
			System.exit(1);
		}

System.out.println("\nLoad Completed!!\n");
System.out.println("--------- Welcome to openlms !! ----------");

	}

}

